> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a message in chat



## OpenAPI

````yaml post /chatbot/send-message
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /chatbot/send-message:
    post:
      tags:
        - chatbot
      summary: Send a message in chat
      operationId: ChatbotController_sendMessage
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendMessageDto'
      responses:
        '200':
          description: Message sent successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendMessageDto'
components:
  schemas:
    SendMessageDto:
      type: object
      properties:
        chatID:
          type: string
          description: Chat ID for the conversation
        message:
          type: string
          description: Message content to be sent
      required:
        - chatID
        - message

````